4.16. Get Cancel Policies
- GET /cm/codes/cancel-policies
Description
- Get a list of supported cancel policies
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Success | CancelPolicies |
| 500 | Internal server error | ErrorResponse |
Produces
- application/xml
Tags
- CodeLists
Example HTTP request
Request path
- /cm/codes/cancel-policies
Example HTTP response
Response 200
<?xml version="1.0" encoding="UTF-8"?>
<CancelPolicies>
<CancelPolicy AgodaPolicyCode="1D1N_1N" Description="Any cancellation received within 1 day prior to arrival date will incur the first night charge." Name="Cancel 1 day prior to arrival date, the first night charge, No Show, the first night charge" PolicyCode="963"/>
</CancelPolicies>Response 500
<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponse CorrelationID="8b417d6a-f3df-4d65-870c-240378b8ad3e" Endpoint="RoomAmenities">
<Errors>
<Error Code="321" ShortText="Required field missing" Status="NotProcessed"/>
</Errors>
<Warnings>
<Warning Code="123" ShortText="Please try again in a few minutes" Status="Incomplete"/>
</Warnings>
</ErrorResponse>List of cancellation policy
All Agoda's cancellation policies including active, inactive, and deleted ones, along with the number of products configured under each policy are located here.
